glibmm 2.30.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# Glib::RWLock::WriterLock Class Reference
Threads

Utility class for exception-safe locking of read/write locks. More...

`#include <glibmm/thread.h>`

List of all members.

## Public Member Functions
| WriterLock (RWLock& rwlock)
| WriterLock (RWLock& rwlock, NotLock)
| WriterLock (RWLock& rwlock, TryLock)
| ~WriterLock ()
void | acquire ()
bool | try_acquire ()
void | release ()
bool | locked () const

## Detailed Description

Utility class for exception-safe locking of read/write locks.

## Constructor & Destructor Documentation

Glib::RWLock::WriterLock::WriterLock | ( | RWLock& | rwlock | ) | `[inline, explicit]`

Glib::RWLock::WriterLock::WriterLock | ( | RWLock& | rwlock,
|  | NotLock |
| ) |  | `[inline]`

Glib::RWLock::WriterLock::WriterLock | ( | RWLock& | rwlock,
|  | TryLock |
| ) |  | `[inline]`

Glib::RWLock::WriterLock::~WriterLock | ( |  | ) | `[inline]`

## Member Function Documentation

void Glib::RWLock::WriterLock::acquire | ( |  | ) | `[inline]`

bool Glib::RWLock::WriterLock::locked | ( |  | ) | const`[inline]`

void Glib::RWLock::WriterLock::release | ( |  | ) | `[inline]`

bool Glib::RWLock::WriterLock::try_acquire | ( |  | ) | `[inline]`